Show / Hide Table of Contents

# AsyncValidateTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncValidateTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncValidateTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnValidateAsyncHandler() |
GetOnValidateAsyncHandler(CancellationToken) |
OnValidateAsync() |
OnValidateAsync(CancellationToken) |

### Methods

#### GetOnValidateAsyncHandler()

    public IAsyncOnValidateHandler GetOnValidateAsyncHandler()

##### Returns

IAsyncOnValidateHandler

#### GetOnValidateAsyncHandler(CancellationToken)

    public IAsyncOnValidateHandler GetOnValidateAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnValidateHandler

#### OnValidateAsync()

    public UniTask OnValidateAsync()

##### Returns

UniTask

#### OnValidateAsync(CancellationToken)

    public UniTask OnValidateAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>